Skip to content

List



GET /api/v1/incidents/schedule/list

Overview

Query Parameters

Parameter Name Type Required Description
incidentsScheduleUUIDs commaArray Incident schedule UUID list
Allow empty: False
mySchedule string View my schedule, default false: view all schedules
Allow empty: True
Allowed values: ['true', 'false']
scheduleCalendar string Schedule calendar, default false: view schedule management
Allow empty: True
Allowed values: ['true', 'false']
scTimezone string Schedule calendar query timezone, default Asia/Shanghai
Example: Asia/Shanghai
Allow empty: False
Max length: 48
scDateRange string Schedule calendar query date range, default only the query day
Example: 2024/06/22~2024/07/06
Allow empty: False
Allow empty string: False
Max length: 48
search string Search schedule name
Allow empty: True
pageIndex integer Page number
Allow empty: False
Example: 1
$minValue: 1
pageSize integer Number of items per page
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/incidents/schedule/list?pageIndex=1&pageSize=20' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "workspaceUUID": "wksp_xxxx",
                "name": "default",
                "timezone": "Asia/Shanghai",
                "start": "00:00",
                "end": "23:59",
                "tagFilter": [],
                "dimensionFilter": "",
                "notifyTargets": [],
                "strategyConfig": [],
                "extend": {
                    "rotationCycle": "day",
                    "enableRotateNotification": false
                },
                "isDefault": true,
                "rotationUpdateAt": 1768803347,
                "id": 6952,
                "uuid": "incsch_xxx",
                "status": 0,
                "creator": "SYS",
                "updator": "acnt_xxx",
                "createAt": 1768803072,
                "deleteAt": -1,
                "updateAt": 1768803347,
                "inEffectNotifyTargetsInfos": [],
                "notifyTargetsInfos": [],
                "effectiveTimeInfos": {
                    "timeStr": "",
                    "expired": false
                },
                "tagFilterInfos": []
            }
        ],
        "pageInfo": {
            "pageIndex": 1,
            "pageSize": 20,
            "count": 1,
            "totalCount": 1
        },
        "myScheduleCount": 1,
        "totalScheduleCount": 1
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxx"
}